/*ReadElement find which element name occurs on current command line, 
 * return Atom Num-1 so on c scale */
#include "cddefines.h"
#include "input.h"
#include "elementnames.h"
#include "lgmatch.h"
#include "readelement.h"

int ReadElement( void )
{
	int i;

	/* >>>chng 99 apr 17, lower limit to loop had been 1, so search started with helium,
	 * change to 0 so we can pick up hydrogen.  needed for parseasserts command */
	/* find match with element name, start with helium */
	for( i=0; i<(int)LIMELM ; ++i )
	{
		if( lgMatch( elementnames.chElementNameShort[i], input.chCARDCAPS ) )
		{
			/* return value is in C counting, hydrogen would be 0*/
			return( i );
		}
	}

	/* fall through, did not hit, return -1 as error condition */
	return (-1 );
}
