/* sign.c - support for F77 sign() function translations by FOR_C (TM) */
/*
 *  copyright Cobalt Blue, Inc., 1988 - 1996
 *     ALL RIGHTS RESERVED
 
 * includes ssign (commented out(
 * isign (commented out)
 * 
 */
#include "sign.h"
#define _ABS_(v)	( (v) < 0 ? -(v) : (v) )

#	ifdef sign
#undef sign
#	endif

	double sign(double a,double b )		/* floating point sign transfer */
	{
		return( b < 0 ? -_ABS_(a) : _ABS_(a) );
	}
