/*eina convert a gf into an Einstein A */
#include "cddefines.h"
#include "eina.h"

double eina(double gf, 
	  double enercm, 
	  double gup)
{
	double eina_v;

#	ifdef DEBUG_FUN
	fputs( "<+>eina()\n", debug_fp );
#	endif

	/* derive the transition prob, given the following
	 * call to function is gf, ener in cm^-1, g_up
	 * gf is product of g and oscilator strength
	 * eina = ( gf / 1.499e-8 ) / (wl/1e4)**2 / gup  */
	eina_v = (gf/gup)/1.4992e-8/POW2(1e4/enercm);


#	ifdef DEBUG_FUN
	fputs( " <->eina()\n", debug_fp );
#	endif
	return( eina_v );
}

