/* this structure is for passing parameters to mie_read_opc */
typedef struct {
	double dep;
	int lgAbunVsDepth,
	  lgQuantumHeating;
} GrainPar;

void mie_write_opc(/*@in@*/const char*,/*@in@*/const char*,long int);
void mie_read_opc(/*@in@*/const char*,GrainPar);
#ifdef INCLUDE_OLD_GRAINS
void mie_read_ial(/*@in@*/const char*,long,/*@out@*/double[]);
#endif
void gauss_init(long int,double,double,double[],double[],double[],double[]);
void gauss_legendre(long int,double[],double[]);
void find_arr(double,double[],long int,/*@out@*/long int*,/*@out@*/int*);
