/*PunSpec generate output for the punch special command */
#include <string.h>
#include "cddefines.h"
#include "taulines.h"
#include "radius.h"
/* includes above almost always needed */
#include "texcline.h"
#include "dumpline.h"
#include "punspec.h"

void PunSpec(FILE* io , 
  char *chTime)
{
	/*long int i;*/

#	ifdef DEBUG_FUN
	fputs( "<+>PunSpec()\n", debug_fp );
#	endif

	if( strncmp(chTime,"LAST",4) == 0 )
	{
		/* code to execute only after last zone */
		fprintf( io, " this is last zone output\n" );
	}
	else
	{
		/* code to execute after every zone */
		double texc;
		/*FILE *ioSAV;
		ioSAV = ioQQQ;
		ioQQQ = io;
		DumpLine( &TauLines[ipT63] );*/
		texc = TexcLine( &TauLines[ipT63]);
		fprintf(io," %e %e\n",  
			TauLines[ipT63].TauIn, 
			texc);/**/
		/*ioQQQ = ioSAV;*/
	}

#	ifdef DEBUG_FUN
	fputs( " <->PunSpec()\n", debug_fp );
#	endif
	return;
}
#if 0
		/* code to execute after every zone */
		fprintf( io, "%10.2e%10.2e", radius.depth , radius.drad);
		fprintf( io, "%10.2e %10.2e ", radius.depth , radius.drad);
		fprintf( io, "%10.2e %10.2e", TauLines[ipT63].TauIn ,
		fprintf( io, "\n" );
		fprintf( io, "%10.2e", TauLine2[186].PopLo*TauLine2[186].pump );
		fprintf( io, "%10.2e", TauLine2[191].PopLo*TauLine2[191].pump );
		fprintf( io, "%10.2e", TauLine2[194].PopLo*TauLine2[194].pump );
		fprintf( io, "%10.2e", TauLine2[197].PopLo*TauLine2[197].pump );
		fprintf( io, "%10.2e", TauLine2[199].PopLo*TauLine2[199].pump );
		fprintf( io, "%10.2e", TauLine2[200].PopLo*TauLine2[200].pump );
		fprintf( io, "%10.2e", TauLine2[201].PopLo*TauLine2[201].pump );
		fprintf( io, "\n" );
#endif 
