/* tcool.h */
EXTERN struct t_tcool {

	/* integrated cooling over model */
	double totcol, 

	  /* cooling in this zone */
	  ctot, 

	  /* heatl is total line heating, t(ipLnHeat) */
	  heatl,  

	  /*coolheat is other coolants that were heat sources */
	  coolheat, 

	  /*grossheat is heat from agent that is added as heat-cooling*/
	  GrossHeat; 

	/* derivative of cooling wrt temperature */
	double dCooldT;

	/* derivative of cooling, 1/te^2, .5/T */
	float tsq1, 
	  halfte;

	/* derivative of cooling less heating wrt temperature */
	double dCoolmHeatdT;

	}	tcool;

